__gnu_pbds::detail::rc< _Node, _Alloc >(3cxx)

NAME
__gnu_pbds::detail::rc< _Node, _Alloc > - Redundant binary counter.

SYNOPSIS

#include <rc.hpp>

  Public Types

typedef entry_const_pointer const_iterator
typedef node_pointer entry

  Public Member Functions

rc (const rc &)
const const_iterator begin () const
void clear ()
_GLIBCXX_NODISCARD bool empty () const
const const_iterator end () const
void pop ()
void push (entry)
size_type size () const
void swap (rc &)
node_pointer top () const

Detailed Description

  template<typename _Node, typename _Alloc>
class __gnu_pbds::detail::rc< _Node, _Alloc >"Redundant binary counter.

Definition at line 50 of file rc.hpp.

Member Typedef Documentation

  template<typename _Node , typename _Alloc > typedef entry_const_pointer __gnu_pbds::detail::rc< _Node, _Alloc >::const_iterator

Definition at line 72 of file rc.hpp.

  template<typename _Node , typename _Alloc > typedef node_pointer __gnu_pbds::detail::rc< _Node, _Alloc >::entry

Definition at line 71 of file rc.hpp.

Constructor & Destructor Documentation

  template<typename _Node , typename _Alloc > __gnu_pbds::detail::rc< _Node, _Alloc >::rc ()

Definition at line 121 of file rc.hpp.

  template<typename _Node , typename _Alloc > __gnu_pbds::detail::rc< _Node, _Alloc >::rc (const rc< _Node, _Alloc > & other)

Definition at line 126 of file rc.hpp.

Member Function Documentation

  template<typename _Node , typename _Alloc > const rc< _Node, _Alloc >::const_iterator __gnu_pbds::detail::rc< _Node, _Alloc >::begin () const

Definition at line 207 of file rc.hpp.

  template<typename _Node , typename _Alloc > void __gnu_pbds::detail::rc< _Node, _Alloc >::clear ()

Definition at line 197 of file rc.hpp.

  template<typename _Node , typename _Alloc > _GLIBCXX_NODISCARD bool __gnu_pbds::detail::rc< _Node, _Alloc >::empty () const [inline]

Definition at line 182 of file rc.hpp.

  template<typename _Node , typename _Alloc > const rc< _Node, _Alloc >::const_iterator __gnu_pbds::detail::rc< _Node, _Alloc >::end () const

Definition at line 213 of file rc.hpp.

  template<typename _Node , typename _Alloc > void __gnu_pbds::detail::rc< _Node, _Alloc >::pop () [inline]

Definition at line 161 of file rc.hpp.

  template<typename _Node , typename _Alloc > void __gnu_pbds::detail::rc< _Node, _Alloc >::push (entry p_nd) [inline]

Definition at line 150 of file rc.hpp.

  template<typename _Node , typename _Alloc > rc< _Node, _Alloc >::size_type __gnu_pbds::detail::rc< _Node, _Alloc >::size () const [inline]

Definition at line 191 of file rc.hpp.

  template<typename _Node , typename _Alloc > void __gnu_pbds::detail::rc< _Node, _Alloc >::swap (rc< _Node, _Alloc > & other) [inline]

Definition at line 132 of file rc.hpp.

  template<typename _Node , typename _Alloc > rc< _Node, _Alloc >::node_pointer __gnu_pbds::detail::rc< _Node, _Alloc >::top () const [inline]

Definition at line 172 of file rc.hpp.

Author

Generated automatically by Doxygen for libstdc++ from the source code.